SUMMARY = "Mellanox BlueField TMFIFO kernel module"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=12f884d2ae1ff87c09e5b7ccc2c4ca7e"

inherit module

do_cve_check[depends] += "${PN}:do_prepare_recipe_sysroot"

SRC_URI = "file://Makefile \
           file://tmfifo.c \
           file://tmfifo_regs.h \
           file://COPYING \
           file://91-tmfifo_net.rules \
          "

S = "${WORKDIR}"

PROVIDES_${PN} =+ " tmfifo"

FILES_${PN} =+ "etc/udev/rules.d/91-tmfifo_net.rules"

do_install_append () {
	install -d ${D}/etc/udev/rules.d
	install -m 0644 ${S}/91-tmfifo_net.rules ${D}/etc/udev/rules.d/
}
